Bug 114905 - CAN-2004-0083, CAN-2004-0084, CAN-2004-0106 - XFree86 font.alias buffer overflow
CAN-2004-0083, CAN-2004-0084, CAN-2004-0106 - XFree86 font.alias buffer overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: Security
: 115569 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-04 05:19 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-13 23:28:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-02-04 05:19:03 EST
Reported to Red Hat by XFree86 on 2004Feb03 via
iDefense.  

A malicious user may craft a malformed 'font.alias' file causing a
buffer overflow upon parsing, which could lead to execution of
arbitrary code as root on the server.

Embargoed.  No date for public notification set; CVE applied for.

Patch available.  Errata in progress.
Comment 1 Mark J. Cox (Product Security) 2004-02-06 05:09:16 EST
http://bugzilla.redhat.com/bugzilla/process_bug.cgi
Comment 2 Mike A. Harris 2004-02-07 05:24:59 EST
XFree86-4.3.0-49 built for Fedora Core 1 now
Comment 3 Mark J. Cox (Product Security) 2004-02-12 08:12:13 EST
Subsequently, iDefense found another issue in the same routine with
the same consequences which has been given CVE name CAN-2004-0083.

Additionally David Dawes discovered additional flaws in reading font
files. The Common Vulnerabilities and Exposures project
(cve.mitre.org) has assigned the name CAN-2004-0106 to these issues.
Comment 4 Mike A. Harris 2004-02-13 13:26:52 EST
The XFree86 4.3.0-55 update for Fedora Core 1, fixes all of the
security issues outlined in the CVE (Common Vulnerabilities and
Exposures) advisories: CAN-2004-0083, CAN-2004-0084, and
CAN-2004-0106.

All users are urged to upgrade to this latest update.
Comment 5 Mike A. Harris 2004-02-14 01:43:16 EST
*** Bug 115569 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.